Skip to content

Product Review List

Introduction

Retrieve the list of reviews for a specified product:

API Endpoint

bash
    POST /product/v1/reviewList

request body

FieldTypeRequiredDescription
filterobjectNoFilter parameters
orderbyarrayNoSorting parameters
pageintegerNoDefault: 1
pagesizeintegerNoDefault: 10

filter Optional Parameters

FieldTypeRequiredDescription
product_idstringYesProduct ID

orderby Optional Parameters

FieldRequiredDescription
ratingNoRating
review_idNoReview ID

request example

bash
curl 'https://openapi.fastmoss.com/product/v1/reviewList' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
    "filter": {
        "product_id": "1729448464509734958",
    },
    "orderby": {
        "field": "rating",
        "order": "desc"
    },
    # "orderby": {
    #     "field": "review_id",
    #     "order": "desc"
    # },
    "page": 1,
    "pagesize": 10
}'

response body

data.list

FieldTypeDescription
review_idstringReview ID
uidstringUser ID
sku_idstringSKU ID
sku_specificationstringSKU Specification
ratingintRating
digg_countintLike Count
contentstringComment Content
create_timetimestampCreation Time

data.total

FieldTypeDescription
totalstringTotal Records

response example

json
{
  "code": 0,
  "data": {
    "list": [
      {
          "review_id": "7354810045655336747",
          "sku_id": "1729448464509800494",
          "sku_specification": "Item: Default",
          "rating": 5,
          "digg_count": 0,
          "content": "",
          "create_time": 1712425181310
      },
    ],
    "total": "3809"
  },
  "message": "success",
  "timestamp": 1743573480,
  "request_id": "efd631c4-92cf-5d27-4f41-de09f20dd714"
}